#!/bin/sh

set -e

if [ ! -f /data/gitit.conf ]; then
	echo "Building config for gitit"
  	gitit --print-default-config > /data/gitit.conf

	sed -i 's|default-extension: page|default-extension: md|' /data/gitit.conf
fi

# Configure GIT
CUR="$(pwd)"
cd /data/wikidata
if [ ! -d /data/wikidata/.git ]; then
	git init
fi
git config diff.renames false
git config --global user.email "admin@localhost"
git config --global user.name "Admin From Localhost"

cd "$CUR"

if [ "$1" = 'gitit' ]; then
  exec gitit "$@"
fi


exec "$@"

